javax.xml.bind

## Interface UnmarshallerHandler

All Superinterfaces:
  ContentHandler

    public interface UnmarshallerHandler
    extends ContentHandler

Unmarshaller implemented as SAX ContentHandler.

Application can use this interface to use JAXB provider as a component in an XML pipeline.

This interface is reusable: even if the user fails to unmarshal an object, s/he can still start a new round of unmarshalling.

Since:
  JAXB1.0
See Also:
  `Unmarshaller.getUnmarshallerHandler()`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.Object` `getResult()` Obtains the unmarshalled result.

### Methods inherited from interface org.xml.sax.ContentHandler

`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

### Method Detail

#### getResult

    java.lang.Object getResult()
                        throws JAXBException,
                               java.lang.IllegalStateException

Obtains the unmarshalled result. This method can be called only after this handler receives the endDocument SAX event.

Returns:
  always return a non-null valid object which was unmarshalled.
Throws:
  `java.lang.IllegalStateException` - if this method is called before this handler receives the endDocument event.
  `JAXBException` - if there is any unmarshalling error. Note that the implementation is allowed to throw SAXException during the parsing when it finds an error.

Copyright © 2003, 2017, Oracle and/or its affiliates. All rights reserved.